:root {
    --dark-navy: #020c1b;
    --navy: #0a192f;
    --light-navy: #112240;
    --lightest-navy: #233554;
    --navy-shadow: rgba(2,12,27,0.7);
    --dark-navy-shadow: rgba(2,12,27,0.8);
    --dark-slate: #495670;
    --slate: #8892b0;
    --light-slate: #a8b2d1;
    --lightest-slate: #ccd6f6;
    --white: #e6f1ff;
    --blue: #64ffda;
    --blue-tint: rgba(100,255,218,0.1);
    --pink: #f57dff;
    --blue: #57cbff;
    --font-sans: 'Inter', sans-serif;
    --font-mono: 'Space Mono', monospace;
    --fz-xxs: 12px;
    --fz-xs: 13px;
    --fz-sm: 14px;
    --fz-md: 16px;
    --fz-lg: 18px;
    --fz-xl: 20px;
    --fz-xxl: 22px;
    --fz-heading: 32px;
    --border-radius: 4px;
    --nav-height: 100px;
    --nav-scroll-height: 70px;
    --tab-height: 42px;
    --tab-width: 120px;
    --easing: cubic-bezier(0.645,0.045,0.355,1);
    --transition: all 0.25s cubic-bezier(0.645,0.045,0.355,1);
    --hamburger-width: 30px;
    --ham-before: top 0.1s ease-in 0.25s,opacity 0.1s ease-in;
    --ham-before-active: top 0.1s ease-out,opacity 0.1s ease-out 0.12s;
    --ham-after: bottom 0.1s ease-in 0.25s,transform 0.22s cubic-bezier(0.55,0.055,0.675,0.19);
    --ham-after-active: bottom 0.1s ease-out,transform 0.22s cubic-bezier(0.215,0.61,0.355,1) 0.12s;
}

* {
    color: var(--slate);
    box-sizing: border-box;
}

body {
    background-color: var(--navy);
    font-family: var(--font-sans);
    transition:all 1s;
    counter-reset: section;
}
  
p {
    font-family: var(--font-sans);
    font-size: var(--fz-md);
    line-height: 26px;
}

.blue-highlight{
    color: var(--blue);
    font-family: var(--font-mono);
}

.blue {
    color: var(--blue);
}

h1 {
    color: var(--lightest-slate);
}

.big-heading {
    font-size: 80px;
    margin: 0px;
}


.arenguade-kulf {
    background-color: transparent;
    border: 1px solid var(--blue);
    border-radius: 4px;
    padding: 0.7rem 1.5rem;
    color: var(--blue);
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    font-family: var(--font-mono);
    text-decoration: none;

}

.arenguade-kulf:hover {
    background-color: var(--blue-tint);
}
@media (min-width:426px) and (max-width:768px) {
    body {
        padding-left: 50px;
        padding-right: 50px;
    }

    .big-heading {
        font-size: 50px;
    }
}

@media screen and (max-width: 425px) {
    body {
        max-width: 100%;
        padding-left: 10px;
        padding-right: 10px;
    }

    .big-heading {
        font-size: 30px;
    }

}



/* Nav Bar */

.nav-wrapper {
    padding-left: 30px;
    padding-right: 30px;
}


.navbar {
    display: grid;
    grid-template-columns: 1fr 3fr;
    align-items: center;
    height: 100px;
    width: 100%;
    overflow: hidden;
    
}

.navbar img {
    height: 90px;
    width: auto;
    justify-self: start;
}

.menu-links {
    justify-self: end;
}

.menu-number {
    color: var(--blue);
}

.menu-links a {
    color: var(--lightest-slate);
    font-size: 0.875rem;
    margin-right: 20px;
    font-family: var(--font-mono);
    text-decoration: none;
}

.menu-links a:hover {
    color: var(--blue);

}

#menu-button {
    color: var(--blue);

}

@media screen and (max-width: 768px) {
    .nav-wrapper {
        padding-left: 0px;
        padding-right: 0px;
    }

    .menu-links {
        display: none;
    }

}


.sideBar-Left {
    position: fixed;
    bottom: 0;
    left: 0;
    margin-bottom: -20px;
}

.social-sidebar li {
    list-style: none;

}

.social-sidebar svg {
    width: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
    transition: 0.3s;
}


.social-sidebar svg:hover {
    filter: invert(93%) sepia(39%) saturate(2065%) hue-rotate(147deg) brightness(109%) contrast(101%);
    transform: translate(0, -5px);
}

.social-sidebar::after {
    content: "";
    display: block;
    width: 1px;
    height: 70px;
    background: var(--slate);
    margin-left: 10px;
}

@media screen and (max-width: 1140px) {
    .sideBar-Left {
        display: none;
    }

}
    

section {
    margin: 0px auto;
    padding: 100px 0px;
    max-width: 900px;
}

.numbered-heading {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    position: relative;
    margin: 10px 0px 40px;
    width: 100%;
    font-size: 26px;
    white-space: nowrap;
    font-weight: 600;
    color: var(--lightest-slate);
    line-height: 1.1;
}

.numbered-heading::before {
    position: relative;
    counter-increment: section 1;
    content: "0" counter(section) ".";
    margin-right: 10px;
    color: var(--blue);
    font-family: var(--font-mono);
    font-size: var(--fz-xl);
    font-weight: 400;
}

.numbered-heading::after {
    content: "";
    display: block;
    width: 300px;
    height: 1px;
    background: var(--slate);
    position: relative;
    left: 20px;
}

@media screen and (max-width: 768px) {
    section {
        max-width: 100%;
    }

}

@media screen and (max-width: 425px) {
    .numbered-heading {
        font-size: var(--fz-xxl)
    }

    .numbered-heading::after {
        width: 100%;
    }

}

/* Intro */
header {
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 90vh;
    padding-top: 0px;
}

#intro-text {
    max-width: 600px;
}

@media screen and (max-width: 425px) {
    #intro-text {
        max-width: 100%;
    }
}

/* About me */

.about-inner {
    display: grid;
    grid-template-columns: 3fr 2fr;
    gap: 50px;
}

.skills-list {
    display: grid;
    grid-template-columns: repeat(2, minmax(140px, 200px));
    gap: 0px 10px;
    padding: 0px;
    margin: 20px 0px 0px;
    overflow: hidden;
    list-style: none;
}

ul.skills-list li {
    position: relative;
    margin-bottom: 10px;
    padding-left: 20px;
    font-family: var(--font-mono);
    font-size: var(--fz-sm);
}

ul.skills-list li::before {
    content: "▹";
    position: absolute;
    left: 0px;
    color: var(--blue);
    font-size: var(--fz-sm);
    box-sizing: inherit;
}

.image-wrapper {
    height: 250px;
    width: 250px;
    position: relative;
}

.image-wrapper img {
    border-radius: 5px;
    height: 250px;
    width: auto;
    z-index: 2;

}

#boxborder {
    display: inline-block;
    height: 250px;
    width: 290px;
    border: 4px solid var(--blue);
    border-radius: 5px;
    position: relative;
    top: -220px;
    left: 30px;
    z-index: -2;
}

@media screen and (max-width: 768px) {
    .about-inner {
        display: block;
    }

    .about-image {
        margin-top: 50px;
    }
}

@media screen and (max-width: 425px) {
    .image-wrapper {
        width: 100%;
    }
    
    .image-wrapper img {
        border-radius: 5px;
        width: 100%;
        max-width: 350px;
    }
    
    #boxborder {
        display: none;
    }
    
}

.experience-inner {
    margin-bottom: 400px;
}

.tabcontent h6 {
    font-family: var(--font-mono);
    font-size: var(--fz-sm); 
}

.tabcontent p {
    font-size: var(--fz-sm); 
}

.experience-list {
    list-style: none;
    margin-left: -30px;
}

ul.experience-list li {
    position: relative;
    margin-bottom: 10px;
    padding-left: 30px;
    font-size: var(--fz-sm);
}

ul.experience-list li::before {
    content: "▹";
    position: absolute;
    left: 0px;
    color: var(--blue);
    font-size: var(--fz-sm);
}

.tab {
    float: left;
    border-left: 2px solid var(--lightest-navy);
    width: 25%;
    height: 300px;
    margin-right: 20px;
}

.tab button {
    display: block;
    background-color: inherit;
    color: var(--slate);
    padding: 22px 16px;
    width: 100%;
    border: none;
    outline: none;
    text-align: left;
    cursor: pointer;
    transition: 0.3s;
    font-weight: 500;
    border-radius: 0px;
}

.tab button:hover {
    background-color: var(--light-navy);
    color: var(--blue);
}
  
.tab button.active {
    background-color: var(--light-navy);
    border-left: 2px solid var(--blue);
    color: var(--blue);
}
   
/* Style the tab content */
.tabcontent {
    float: left;
    padding: 0px 12px;
    width: 70%;
    border-left: none;
    height: 300px;
}

.tabcontent.inactive {
    display: none;
}

@media screen and (max-width: 425px) {
    #Experience {
        display: none;
    }

}


@media screen and (min-width: 769px) {
    .responsive {
        display: none;
    }
    
    .featured-image {
        width: 60%;
        align-items: center;
        z-index: 0;
    }

    #ecc-text {
        z-index: 5;
    }

    #ecc-image {
        z-index: -5;
    }
    
    .featured-image img {
        width: 500px;
        height: auto;
        position: absolute;
        align-self: center;
    }
    
    .featured-image > img:last-of-type {
        opacity: 1;
        transition: opacity 0.5s ease-in-out;
        -moz-transition: opacity 0.5s ease-in-out;
        -webkit-transition: opacity 0.5s ease-in-out;
    }
      
    .featured-image:hover > img:last-of-type {
        opacity: 0;
    }
    
    .featured-content {
        width: 60%;
        z-index: 5;
    }
    


}


@media (min-width:426px) and (max-width:768px) {
    .responsive {
        display: none;
    }

    .featured-project {
        padding: 25px;

    }

    .featured-image {
        display: none;
    }

    #Inge {
        background:linear-gradient(0deg, var(--dark-navy-shadow), var(--dark-navy-shadow)), url("Resources/Images/Work/Ingehol.jpg");
        background-size: cover;
        background-repeat: no-repeat;
    }

    #ecc {
        background:linear-gradient(0deg, var(--dark-navy-shadow), var(--dark-navy-shadow)), url("Resources/Images/Work/ecc.jpg");
        background-size: cover;
        background-repeat: no-repeat;
    }

    #tecs {
        background:linear-gradient(0deg, var(--dark-navy-shadow), var(--dark-navy-shadow)), url("Resources/Images/Work/tecs.jpg");
        background-size: cover;
        background-repeat: no-repeat;
    }

    .featured-content li {
        color: var(--lightest-slate);

    }
  
}

@media screen and (max-width: 425px) {
    .desktop {
        display: none; 
    }

    .responsive {
        max-width: 100%;
    }

    .responsive-featured-image {
        margin-top: 50px;
    }

    .responsive-featured-image img {
        max-width: 100%;
    }

    .responsive-featured-image h4 {
        color: var(--blue);
        font-family: var(--font-mono);
        font-size: var(--fz-xs);
        font-weight: 400;
    }

    .responsive-featured-image h3 {
        color: var(--lightest-slate);
    }

    .responsive-featured-content {
        display: block;
        position: relative;
        padding: 10px 20px; 
        background-color: var(--light-navy);
        border-radius: 5px;
        font-size: var(--fz-sm);
        z-index: 10;
    }
    
    .responsive-featured-content p {
        font-size: var(--fz-xs);
        color: var(--light-slate);
        text-align: justify;
    }

    .featured-tech-list {
        list-style: none;
        display: flex;
        justify-content:space-around;
    }

    .featured-tech-list li {
        font-family: var(--font-mono);
        font-size: var(--fz-xs);
    }
    
    .other-projects-wrapper {
        margin-top: 50px;
    }
}

#work {
    width: 100%;
}

.featured-content {
    z-index: 99;
}

.featured-project {
    display: flex;
    height: 350px;
    margin-bottom: 100px;
}

.right{
    justify-content: flex-end;
    text-align: end;
}

.right h4 {
    text-align: start;
}

.right h3 {
    text-align: start;
}

.left {
    justify-content: start;
    text-align: start;
}

.left h4 {
    text-align: end;
}

.left h3 {
    text-align: end;
}

.featured-content h4 {
    color: var(--blue);
    font-family: var(--font-mono);
    font-size: var(--fz-xs);
    font-weight: 400;
}

.featured-content h3 {
    color: var(--lightest-slate);
    font-size: var(--fz-xxl);
}

.featured-description {
    display: block;
    position: relative;
    padding: 10px 20px; 
    background-color: var(--light-navy);
    border-radius: 5px;
    font-size: var(--fz-sm);
    z-index: 10;
}

.featured-description p {
    font-size: var(--fz-xs);
    color: var(--light-slate)
}


.featured-tech-list-right {
    list-style: none;
    display: flex;
    justify-content: end;
}

.featured-tech-list-left {
    list-style: none;
    display: flex;
    justify-content:flex-start;
}


.featured-tech-list-right li {
    margin-left: 20px;
    font-family: var(--font-mono);
    font-size: var(--fz-xs);
}

.featured-tech-list-left li {
    margin-right: 20px;
    font-family: var(--font-mono);
    font-size: var(--fz-xs);
}

.other-projects-wrapper h2 {
    text-align: center;
    color: var(--lightest-slate);
    padding-bottom: 30px;
  
}

.other-projects {
    display: grid;
    grid-template-columns: repeat(3, 33%);
    gap: 15px 15px;
}

.project {
    background-color: var(--light-navy);
    padding: 25px;
    transition: 0.3s;

}

.project:hover {
    transform: translate(0, -10px);

}

.project-header {
    display: flex;
    justify-content: space-between;
    align-items: end;
    margin-bottom: 30px;
}

.icon-folder {
    width: 30px;
    filter: invert(93%) sepia(39%) saturate(2065%) hue-rotate(147deg) brightness(109%) contrast(101%);
}

.project-links svg {
    width: 20px;
}


.icon-github {
    width: 20px;
    filter: invert(77%) sepia(33%) saturate(204%) hue-rotate(188deg) brightness(87%) contrast(92%);

}

.project-content h3 {
    color: var(--lightest-slate);
    font-size: var(--fz-xxl);

}

.project-content p {
    font-size: var(--fz-sm);
    color: var(--light-slate);
    padding-bottom: 20px;
}

.project-tech-list {
    list-style: none;
    margin: 0px;
    padding: 0px;
}

.project-tech-list li {
    margin: 0px 10px;
    font-family: var(--font-mono);
    font-size: var(--fz-xs);
    display: inline-block;
}


@media (min-width:426px) and (max-width:768px) {
    .other-projects {
        display: grid;
        grid-template-columns: repeat(2, 50%);
        gap: 15px 15px;
    }
}

@media screen and (max-width: 425px) {
    .other-projects {
        display: grid;
        grid-template-columns: repeat(1, 100%);
        gap: 15px 15px;
    }

}

/* Contact */
#Contact {
    max-width: 600px;
}

.contact {
    justify-content: center;
    text-align: center;
}

.contact-subheading {
    font-size: var(--fz-md);
    font-weight: 400;
    color: var(--blue);
}

.contact-heading {
    font-size: 60px;
    font-weight: 600;
    color: var(--lightest-slate);
}

